Package com.databend.jdbc.util

## Class URLUtils

- java.lang.Object
- - com.databend.jdbc.util.URLUtils

    public class URLUtils
    extends Object

URL utility class providing URL encoding functionality.

### Constructor Summary

Constructors
`URLUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `urlEncode​(String target)` Encodes a string using URL encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLUtils

    public URLUtils()

### Method Detail

#### urlEncode

    @Nullable
    public static String urlEncode​(String target)

Encodes a string using URL encoding.

Parameters:
  `target` - The string to be encoded.
Returns:
  The encoded string, or null if encoding fails.